Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTConstructorChainInitializer

All Superinterfaces:
  `IASTInitializer`, `IASTNameOwner`, `IASTNode`, `ICPPASTPackExpandable`

public interface ICPPASTConstructorChainInitializer extends IASTInitializer, ICPPASTPackExpandable, IASTNameOwner
Represents a member initializer:

     class X {
         int a;
         X();
     };
     X::X : a(0) {}  // a(0) is a member initializer.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPASTConstructorChainInitializer[]`
`EMPTY_CONSTRUCTORCHAININITIALIZER_ARRAY`
`static final ASTNodeProperty`
`INITIALIZER`
`static final ASTNodeProperty`
`MEMBER_ID`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializer

`EMPTY_INITIALIZER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTConstructorChainInitializer`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTConstructorChainInitializer`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTInitializer`
`getInitializer()`
Returns the initializer for the member
`IASTExpression`
`getInitializerValue()`
Deprecated.
Replaced by `getInitializer()`.
`IASTName`
`getMemberInitializerId()`
Returns the name of the member.
`void`
`setInitializer(IASTInitializer initializer)`
Not allowed on frozen ast.
`void`
`setInitializerValue(IASTExpression expression)`
Deprecated.
Replaced by `setInitializer(IASTInitializer)`.
`void`
`setMemberInitializerId(IASTName name)`
Not allowed on frozen ast.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTPackExpandable

`isPackExpansion, setIsPackExpansion`

## Field Details

### EMPTY_CONSTRUCTORCHAININITIALIZER_ARRAY

static final ICPPASTConstructorChainInitializer[] EMPTY_CONSTRUCTORCHAININITIALIZER_ARRAY

### MEMBER_ID

static final ASTNodeProperty MEMBER_ID

### INITIALIZER

static final ASTNodeProperty INITIALIZER

## Method Details

### getMemberInitializerId

IASTName getMemberInitializerId()
Returns the name of the member.

### getInitializer

IASTInitializer getInitializer()
Returns the initializer for the member

Since:
  5.2

### copy

ICPPASTConstructorChainInitializer copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

ICPPASTConstructorChainInitializer copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3

### setMemberInitializerId

void setMemberInitializerId(IASTName name)
Not allowed on frozen ast.

### setInitializer

void setInitializer(IASTInitializer initializer)
Not allowed on frozen ast.

Since:
  5.2

### getInitializerValue

@Deprecated IASTExpression getInitializerValue()
Deprecated.
Replaced by `getInitializer()`.

Restriction:
  This method is not intended to be referenced by clients.

### setInitializerValue

@Deprecated void setInitializerValue(IASTExpression expression)
Deprecated.
Replaced by `setInitializer(IASTInitializer)`.

Restriction:
  This method is not intended to be referenced by clients.